Bug 234829 - net-p2p/amule: multiple fixes (net-p2p/amule-devel as well)
Summary: net-p2p/amule: multiple fixes (net-p2p/amule-devel as well)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-10 17:19 UTC by Dmitry Marakasov
Modified: 2019-01-19 18:09 UTC (History)
0 users

See Also:
amdmi3: maintainer-feedback+


Attachments
Patch (7.60 KB, patch)
2019-01-10 17:19 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2019-01-10 17:19:21 UTC
Created attachment 200992 [details]
Patch

- Move LICENSE_FILE and SHEBANG_FILES out of unrelated options section
- Switch to USES=localbase
- Add missing USES=readline (for amulecmd and webserver)
- Switch to options helpers
- Fix license (amule-devel)
- Fix plists for WITHOUT=NLS case: manpages are not built when NLS is disabled
Comment 1 Dmitry Marakasov freebsd_committer 2019-01-17 13:38:21 UTC
Maintainer approved via private email
Comment 2 commit-hook freebsd_committer 2019-01-19 18:09:21 UTC
A commit references this bug:

Author: amdmi3
Date: Sat Jan 19 18:09:13 UTC 2019
New revision: 490730
URL: https://svnweb.freebsd.org/changeset/ports/490730

Log:
  - Move LICENSE_FILE and SHEBANG_FILES out of unrelated options section
  - Switch to USES=localbase
  - Add missing USES=readline (for amulecmd and webserver)
  - Switch to options helpers
  - Fix WWW and license for amule-devel
  - Fix plists for WITHOUT=NLS case: manpages are not built when NLS is disabled

  PR:		234829
  Submitted by:	amdmi3
  Approved by:	bar (maintainer, via private email)

Changes:
  head/net-p2p/amule/Makefile
  head/net-p2p/amule/pkg-plist
  head/net-p2p/amule-devel/Makefile
  head/net-p2p/amule-devel/pkg-descr
  head/net-p2p/amule-devel/pkg-plist